Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.writer.rdfxml.rdfwriter
Class OWLModelContentWriter

    java.lang.Object
      edu.stanford.smi.protegex.owl.writer.rdfxml.rdfwriter.OWLModelContentWriter

All Implemented Interfaces:
  RDFXMLContentWriter

    public class OWLModelContentWriter

extends Object
implements RDFXMLContentWriter

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: March 22, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Constructor Summary
`OWLModelContentWriter(OWLModel model, TripleStore tripleStore)` Constructs an OWLModel RDF/XML rdfwriter to render the specified `OWLModel`.

Method Summary
`void` | `writeContent(XMLWriter writer)` Writes the RDF/XML content that corresponds to the ontology header (owl:Ontology), the all different sets of individuals, the properties, classes and individuals.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWLModelContentWriter

    public OWLModelContentWriter(OWLModel model,
                                 TripleStore tripleStore)

  Constructs an OWLModel RDF/XML rdfwriter to render the specified `OWLModel`.

  Parameters:
    `model` - The model to be rendered.
    `tripleStore` - The triplestore to be rendered.

Method Detail

### writeContent

    public void writeContent(XMLWriter writer)
                      throws IOException

  Writes the RDF/XML content that corresponds to the ontology header (owl:Ontology), the all different sets of individuals, the properties, classes and individuals.

  Specified by:
    `writeContent` in interface `RDFXMLContentWriter`
  Parameters:
    `writer` -
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.